Subject: Re: [PATCH] powerpc: fix MAC address entries for 83xx, 85xx, and 86xx device trees

From: Segher Boessenkool <[email-masked]>
Date: Tue, 26 Jun 2007 09:40:44 +0200

>> Yup, they're both marked for removal so let's just remove them
>> at the same time.
>
> As soon as Paul creates a "for-2.6.25" branch, that's when I was 
> planning on doing it.

Sounds like as good a time as any.

>> Does the kernel provide a warning to users of too-old firmware^Wuboot
>> telling them to update btw?
>
> Nope.  The current U-Boot code updates mac-address and/or 
> local-mac-address, whichever ones exist.  If neither exists, it 
> doesn't do anything.  If both exists, it updates both with the same 
> value.  This makes it DTS-agnostic, so to speak.
>
> The kernel looks at each of the properties and uses the first one that 
> has a valid MAC address.  Again, this is U-Boot- and DTS-agnostic.

Yeah, that's fine.   I just meant the current kernel (before
.25) could detect you are using a uboot that won't work after
.25 anymore, and shout at the user.  Would save you some bug
reports ;-)

> In other words, the current U-Boot and Linux code is written to not 
> care what the other one does.  I have no plans to remove the code in 
> the kernel that looks for obsolete entries (I'm talking about function 
> of_get_mac_address), because it's "safe".

Well you should remove the "address" thing, it is _not_ safe.

> However, now that you mention it, I could update function 
> of_get_mac_address() to display a warning if it only finds the 
> 'address' property.

Yeah exactly.

>   That property is definitely wrong and should never be in the DTS or 
> any device tree passed to the kernel.

Segher